Notas sobre las versiones y compatibilidad de FME y Esri

1 estrella2 estrellas3 estrellas4 estrellas5 estrellas (4 votos, media: 5,00 sobre 5)
Cargando…

FME admite múltiples archivos de entrada y salida para los formatos Esri SDE y Geodatabase. Cuál usar depende de la plataforma en la que se esté ejecutando y cuáles sean las necesidades del trabajo a realizar. Esta entrada de blog pretende aclarar los diversos formatos y versiones que están disponibles para trabajar con una Esri Geodatabase y FME.

EsriCompatibilidad entre versiones de FME y Esri

A continuación se muestra una tabla que proporciona una descripción general sobre qué versión de FME será necesaria si se está trabajando con una versión en concreto de Esri ArcGIS. Solo se muestran las últimas versiones de las herramientas.

ProductoVersión de FMEComentario
ArcGIS Pro 2.4FME 2019.1 o superior solo 64 bitsLa configuración de ArcGIS Pro 2.4 en el intérprete de Python aún no está disponible
ArcGIS Pro 2.3.3FME 2018.1 o superior, solo 64 bits
ArcGIS Pro 2.2FME 2018.1 o superior, solo 64 bitsLos File Geodb Raster fallan al leer datasets mosaicos
ArcGIS Pro 2.1FME 2016.1.3 o superior solo 64 bits
ArcGIS Pro 2.0FME 2016.1.3 o superior solo 64 bits
ArcGIS Pro 1.4FME 2016.1.3 o superior solo 64 bits
ArcGIS Pro 1.3FME 2016.1.1 o superior solo 64 bits
ArcGIS Pro 1.2FME 2015.1.2.1 o superior solo 64 bits
ArcGIS 10.7.1FME 2019.1 o superior
ArcGIS 10.7FME 2018.1 o superior
ArcGIS 10.6.1FME 2017.1.1 o superior
ArcGIS 10.6FME 2017.1.1 o superior
ArcGIS 10.5.1FME 2016.1.3 o superior
ArcGIS 10.5FME 2016.1.3 o superior
ArcGIS 10.4.1FME 2016.0.1 o superior
ArcGIS 10.4FME 2015.1.1 o superior
ArcGIS 10.3FME 2014 SP5 o superior
ArcGIS 10.2FME 2013 SP3 o superior

 

Requisitos

Los formatos de FME Esri Geodatabase requieren que el software ArcGIS esté instalado y con licencia en la misma máquina que FME, excepto para Esri Geodatabase (File Geodb OPEN API).

EsriA partir de ArcGIS 10.1, la forma predeterminada de conectarse a una Geodatabase Enterprise (ArcSDE) 10.1 o superior es mediante una conexión directa. La conexión directa se puede utilizar con el formato FME – Geodatabase Esri (ArcSDE Geodb) pero requiere un cliente de base de datos que coincida con la plataforma de la instalación FME.

A partir de FME 2015, los archivos de conexión Esri (archivos .sde) son el único método admitido para conectarse a una geodatabase corporativa.

Formatos de Esri compatibles con la versión de FME

La siguiente tabla intenta aclarar con qué formatos se puede trabajar en función de la versión de FME que se disponga y si es o no necesaria la licencia de Esri (y en caso afrimativo qué licencia) y, además, los sistemas operativos necesarios.

FormatoAplicación de software segura requeridaLicencia de Esri requeridaSistema operativoComentarios
Esri Geodatabase (Personal Geodb)32 bits FMEArcGIS for DesktopSolo Windows
Esri Geodatabase (File Geodb Open API)32 o 64 bits FMENo necesitaWindows de 32 o 64 bits, Linux y MacFuncionalidad limitada
Esri Geodatabase (File Geodb)

Esri Geodatabase (ArcSDE Geodb)

32 bits FMEArcGIS for DesktopSolo Windows
64 bit FMEArcGIS for Desktop y 64 bit Background GeoprocessingSolo WindowsNo se puede usar FME Desktop de 64 bits para extender ArcGIS for Desktop
64 bit FMEArcGIS ServerSolo Windows
64 bit FMEArcGIS ProSolo WindowsCompatible con FME Desktop solo por el momento
Esri Legacy ArcSDE32 bits FMENo necesitaSolo WindowsRequiere bibliotecas de cliente de 32 bits.
En desuso.
64 bit FMENo necesitaWindows y LinuxRequiere bibliotecas de cliente de 64 bits. En desuso.

 

Si quieres aprender más sobre cómo manejar en profundidad esta herramienta, no te pierdas nuestro Curso de FME que dará comienzo el día 24 de septiembre.

Autor: Carles Martí

Fuentes: https://knowledge.safe.com/

Dejar respuesta

Please enter your comment!
Please enter your name here